org.apache.ignite.internal.pagemem.wal.record.delta

## Class PageDeltaRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

All Implemented Interfaces:
  WalRecordCacheGroupAware

Direct Known Subclasses:
  DataPageInsertFragmentRecord, DataPageInsertRecord, DataPageMvccMarkUpdatedRecord, DataPageMvccUpdateNewTxStateHintRecord, DataPageMvccUpdateTxStateHintRecord, DataPageRemoveRecord, DataPageSetFreeListPageRecord, DataPageUpdateRecord, FixCountRecord, FixLeftmostChildRecord, FixRemoveId, InitNewPageRecord, InnerReplaceRecord, InsertRecord, MergeRecord, MetaPageAddRootRecord, MetaPageCutRootRecord, MetaPageInitRootRecord, MetaPageUpdateLastAllocatedIndex, MetaPageUpdateLastSuccessfulFullSnapshotId, MetaPageUpdateLastSuccessfulSnapshotId, MetaPageUpdateNextSnapshotId, MetaPageUpdatePartitionDataRecord, NewRootInitRecord, PageListMetaResetCountRecord, PagesListAddPageRecord, PagesListRemovePageRecord, PagesListSetNextRecord, PagesListSetPreviousRecord, RecycleRecord, RemoveRecord, ReplaceRecord, RotatedIdPartRecord, SplitExistingPageRecord, SplitForwardPageRecord, TrackingPageDeltaRecord, TrackingPageRepairDeltaRecord

    public abstract class PageDeltaRecord
    extends WALRecord
    implements WalRecordCacheGroupAware

Abstract page delta record.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
`protected` `PageDeltaRecord(int grpId, long pageId)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`FullPageId` `fullPageId()`
`int` `groupId()`
`long` `pageId()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PageDeltaRecord

    protected PageDeltaRecord(int grpId,
                              long pageId)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Page ID.

### Method Detail

#### pageId

    public long pageId()

Returns:
  Page ID.

#### fullPageId

    public FullPageId fullPageId()

Returns:
  Full page ID.

#### groupId

    public int groupId()

Specified by:
  `groupId` in interface `WalRecordCacheGroupAware`
Returns:
  Cache group ID.

#### applyDelta

    public abstract void applyDelta(PageMemory pageMem,
                                    long pageAddr)
                             throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### toString

    public String toString()

Overrides:
  `toString` in class `WALRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020